Package ru.bitel.bgbilling.plugins.sqleditor.common.service

# Interface SqlHistoryService

public interface SqlHistoryService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteByQueryInfo(Date requestDate, String query)`
  Удаление запроса по его информации
  `int`
  `deleteOldRequests()`
  Удаление старых записей исходя из настроек периода хранения для пользователя
  `SqlHistoryUserConfig`
  `getHistoryUserConfig()`
  `SearchResult<SqlHistoryRequest>`
  `getUserRequestList(Page page)`
  `void`
  `updateHistoryUserConfig(SqlHistoryUserConfig historyUserConfig)`
  `void`
  `updateSqlHistoryRequest(SqlHistoryRequest historyRequest)`

- ## Method Details

  - ### getHistoryUserConfig

    SqlHistoryUserConfig getHistoryUserConfig() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateHistoryUserConfig

    void updateHistoryUserConfig(SqlHistoryUserConfig historyUserConfig) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getUserRequestList

    SearchResult<SqlHistoryRequest> getUserRequestList(Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateSqlHistoryRequest

    void updateSqlHistoryRequest(SqlHistoryRequest historyRequest) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteOldRequests

    int deleteOldRequests() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Удаление старых записей исходя из настроек периода хранения для пользователя
    Returns:
      кол-во удалённых записей
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteByQueryInfo

    void deleteByQueryInfo(Date requestDate, String query) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Удаление запроса по его информации
    Parameters:
      `requestDate` - дата и время запроса в истории
      `query` - сам запрос
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`